---
title: Get Queue Consumer
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Queues](https://developers.cloudflare.com/api/python/resources/queues)

[Consumers](https://developers.cloudflare.com/api/python/resources/queues/subresources/consumers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Queue Consumer

queues.consumers.get(strconsumer\_id, ConsumerGetParams\*\*kwargs) -> [Consumer](<https://developers.cloudflare.com/api/python/resources/queues#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)>)

GET/accounts/{account\_id}/queues/{queue\_id}/consumers/{consumer\_id}

Returns a Queue consumer by identifier.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Queues Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

account\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

queue\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

consumer\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20consumer_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

<a href="https://developers.cloudflare.com/api/python/resources/queues#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)">Consumer</a>

Response body representing a consumer

</summary>

One of the following:

<details>

<summary>

class MqWorkerConsumerResponse: …

</summary>

consumer\_id: Optional\[str]

A Resource identifier.

maxLength32

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20consumer_id">Link to this property</a>

created\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20created_on">Link to this property</a>

dead\_letter\_queue: Optional\[str]

Name of the dead letter queue, or empty string if not configured

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20dead_letter_queue">Link to this property</a>

queue\_name: Optional\[str]

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20queue_name">Link to this property</a>

script\_name: Optional\[str]

Name of a Worker

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20script_name">Link to this property</a>

<details>

<summary>

settings: Optional\[MqWorkerConsumerResponseSettings]

</summary>

batch\_size: Optional\[float]

The maximum number of messages to include in a batch.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings%20%3E%20(property)%20batch_size">Link to this property</a>

max\_concurrency: Optional\[float]

Maximum number of concurrent consumers that may consume from this Queue. Set to <code>null</code> to automatically opt in to the platform’s maximum (recommended).

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings%20%3E%20(property)%20max_concurrency">Link to this property</a>

max\_retries: Optional\[float]

The maximum number of retries

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings%20%3E%20(property)%20max_retries">Link to this property</a>

max\_wait\_time\_ms: Optional\[float]

The number of milliseconds to wait for a batch to fill up before attempting to deliver it

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings%20%3E%20(property)%20max_wait_time_ms">Link to this property</a>

retry\_delay: Optional\[float]

The number of seconds to delay before making the message available for another attempt.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings%20%3E%20(property)%20retry_delay">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20settings">Link to this property</a>

type: Optional\[Literal\["worker"]]

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class MqHTTPConsumerResponse: …

</summary>

consumer\_id: Optional\[str]

A Resource identifier.

maxLength32

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20consumer_id">Link to this property</a>

created\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20created_on">Link to this property</a>

dead\_letter\_queue: Optional\[str]

Name of the dead letter queue, or empty string if not configured

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20dead_letter_queue">Link to this property</a>

queue\_name: Optional\[str]

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20queue_name">Link to this property</a>

<details>

<summary>

settings: Optional\[MqHTTPConsumerResponseSettings]

</summary>

batch\_size: Optional\[float]

The maximum number of messages to include in a batch.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20settings%20%3E%20(property)%20batch_size">Link to this property</a>

max\_retries: Optional\[float]

The maximum number of retries

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20settings%20%3E%20(property)%20max_retries">Link to this property</a>

retry\_delay: Optional\[float]

The number of seconds to delay before making the message available for another attempt.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20settings%20%3E%20(property)%20retry_delay">Link to this property</a>

visibility\_timeout\_ms: Optional\[float]

The number of milliseconds that a message is exclusively leased. After the timeout, the message becomes available for another attempt.

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20settings%20%3E%20(property)%20visibility_timeout_ms">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20settings">Link to this property</a>

type: Optional\[Literal\["http\_pull"]]

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.consumers%20%3E%20(model)%20consumer%20%3E%20(schema)>)

### Get Queue Consumer

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
consumer = client.queues.consumers.get(
    consumer_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(consumer)
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "consumer_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "dead_letter_queue": "dead_letter_queue",
    "queue_name": "example-queue",
    "script_name": "my-consumer-worker",
    "settings": {
      "batch_size": 50,
      "max_concurrency": 10,
      "max_retries": 3,
      "max_wait_time_ms": 5000,
      "retry_delay": 10
    },
    "type": "worker"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "consumer_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "dead_letter_queue": "dead_letter_queue",
    "queue_name": "example-queue",
    "script_name": "my-consumer-worker",
    "settings": {
      "batch_size": 50,
      "max_concurrency": 10,
      "max_retries": 3,
      "max_wait_time_ms": 5000,
      "retry_delay": 10
    },
    "type": "worker"
  },
  "success": true
}
```